jade templating syntax support for eclipse

jade templating syntax support for eclipse  using -'eclipse,node.js,ide,jade'

I have just starting using the nodejs templating engine jade. Unfortunately my IDE eclipse doesn't seem to have support for this syntax and is not highlighting correctly.

Is it possible to add support for .jade files to eclipse?

asked Sep 18, 2015 by shegokar.anjeet
0 votes

2 Answers

0 votes

As current lead of Nodeclipse effort www.nodeclipse.org I announce that Nodeclipse v0.12 has added Minimalist Jade Editor, see http://www.nodeclipse.org/history. Added just before release as I got sick of .jade to be opened outside of Eclipse.

Nodeclipse scope is growing, now it has Gradle for Android and JavaScript in general that I want to work on for next iteration. Also looking for developers and company willing to support the project. Raise an issue on GitHub/Nodeclipse to continue.

answered Sep 18, 2015 by dahiyabecomp
0 votes

You can use Sublime Text 2 . It's not free. You can use freely until you purchase it. It's so comfortable for Node development. It's also supporting Jade and many languages.

answered Sep 18, 2015 by ukohale